Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRRtfExporter

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractExporter
          net.sf.jasperreports.engine.export.JRRtfExporter

All Implemented Interfaces:
  JRExporter

    public class JRRtfExporter

extends JRAbstractExporter

Exports a JasperReports document to RTF format. It has binary output type and exports the document to a free-form layout. It uses the RTF Specification 1.6 (compatible with MS Word 6.0, 2003 and XP).

Version:
  $Id: JRRtfExporter.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)

Nested Class Summary
`protected class` | `JRRtfExporter.ExporterContext`

Nested classes/interfaces inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`JRAbstractExporter.BaseExporterContext, JRAbstractExporter.ParameterOverriddenResolver, JRAbstractExporter.ParameterOverrideResolver, JRAbstractExporter.ParameterResolver`

Field Summary
`protected java.util.List` | `colors`
`protected FileBufferedWriter` | `colorWriter`
`protected java.io.File` | `destFile`
`protected JRRtfExporterContext` | `exporterContext`
`protected java.util.List` | `fonts`
`protected FileBufferedWriter` | `fontWriter`
`protected static java.lang.String` | `JR_PAGE_ANCHOR_PREFIX`
`protected JRExportProgressMonitor` | `progressMonitor`
`protected int` | `reportIndex`
`static java.lang.String` | `RTF_EXPORTER_KEY` The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.
`protected java.io.Writer` | `rtfWriter`
`protected FileBufferedWriter` | `writer`

Fields inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`classLoader, classLoaderSet, dateFormatCache, endPageIndex, fileResolver, fileResolverSet, filter, globalOffsetX, globalOffsetY, hyperlinkProducerFactory, isModeBatch, jasperPrint, jasperPrintList, numberFormatCache, parameters, PROPERTY_CELL_FORMULA, PROPERTY_DEFAULT_FILTER_FACTORY, PROPERTY_SUFFIX_DEFAULT_FILTER_FACTORY, startPageIndex, urlHandlerFactory, urlHandlerFactorySet`

Constructor Summary
`JRRtfExporter()`

Method Summary
`protected void` | `exportElements(java.util.Collection elements)`
`protected void` | `exportEllipse(JRPrintEllipse ellipse)` Draw a ellipse object
`protected void` | `exportFrame(JRPrintFrame frame)`
`protected void` | `exportGenericElement(JRGenericPrintElement element)`
`protected void` | `exportHyperlink(JRPrintHyperlink link)`
`protected void` | `exportImage(JRPrintImage printImage)` Export a image object
`protected void` | `exportLine(JRPrintLine line)` Draw a line object
`protected void` | `exportPage(JRPrintPage page, boolean lastPage)` Exports a report page
`protected void` | `exportRectangle(JRPrintRectangle rectangle)` Draw a rectangle
`void` | `exportReport()` Export report in .rtf format
`protected java.lang.StringBuffer` | `exportReportToBuffer()` Export report in .rtf format
`protected void` | `exportReportToFile()` Export report to a file in the .rtf format
`protected void` | `exportReportToStream()` Export report in .rtf format to a stream
`void` | `exportText(JRPrintText text)` Draw a text box
`protected java.lang.String` | `getExporterKey()`
`protected void` | `writeAnchor(java.lang.String anchorName)`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractExporter
`createFilter, defaultParseNumber, getBooleanCellValue, getBooleanParameter, getCharacterParameter, getCustomHandler, getDateCellValue, getDateFormat, getFloatParameter, getHyperlinkProducer, getIntegerParameter, getLocale, getNumberCellValue, getNumberFormat, getOffsetX, getOffsetY, getParameter, getParameterResolver, getParameters, getStringArrayParameter, getStringParameter, getStringParameterOrDefault, getStyledText, getStyledText, getTextFormatFactoryClass, getTextLocale, getTextTimeZone, getTextValue, getTextValueString, reset, resetClassLoader, resetExportContext, restoreElementOffsets, setClassLoader, setExportContext, setFrameElementsOffset, setHyperlinkProducerFactory, setInput, setJasperPrint, setOffset, setOffset, setOutput, setPageRange, setParameter, setParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RTF_EXPORTER_KEY

    public static final java.lang.String RTF_EXPORTER_KEY

  The exporter key, as used in `GenericElementHandlerEnviroment.getHandler(net.sf.jasperreports.engine.JRGenericElementType, String)`.

  See Also:
    Constant Field Values

### JR_PAGE_ANCHOR_PREFIX

    protected static final java.lang.String JR_PAGE_ANCHOR_PREFIX

See Also:
  Constant Field Values

### progressMonitor

    protected JRExportProgressMonitor progressMonitor

### colorWriter

    protected FileBufferedWriter colorWriter

### fontWriter

    protected FileBufferedWriter fontWriter

### writer

    protected FileBufferedWriter writer

### rtfWriter

    protected java.io.Writer rtfWriter

### destFile

    protected java.io.File destFile

### reportIndex

    protected int reportIndex

### colors

    protected java.util.List colors

### fonts

    protected java.util.List fonts

### exporterContext

    protected JRRtfExporterContext exporterContext

Constructor Detail

### JRRtfExporter

    public JRRtfExporter()

Method Detail

### exportReport

    public void exportReport()
                      throws JRException

  Export report in .rtf format

  Specified by:
    `exportReport` in interface `JRExporter`
  Specified by:
    `exportReport` in class `JRAbstractExporter`
  Throws:
    `JRException`

### exportReportToBuffer

    protected java.lang.StringBuffer exportReportToBuffer()
                                                   throws JRException

  Export report in .rtf format

  Returns:
    report in .rtf format in a StringBuffer object
  Throws:
    `JRException`

### exportReportToStream

    protected void exportReportToStream()
                                 throws JRException,
                                        java.io.IOException

  Export report in .rtf format to a stream

  Throws:
    `JRException`
    `java.io.IOException`

### exportReportToFile

    protected void exportReportToFile()
                               throws JRException

  Export report to a file in the .rtf format

  Throws:
    `JRException`

### exportPage

    protected void exportPage(JRPrintPage page,
                              boolean lastPage)
                       throws JRException,
                              java.io.IOException

  Exports a report page

  Parameters:
    `page` - Page that will be exported
  Throws:
    `JRException`
    `java.io.IOException`

### exportLine

    protected void exportLine(JRPrintLine line)
                       throws java.io.IOException

  Draw a line object

  Parameters:
    `line` - JasperReports line object - JRPrintLine
  Throws:
    `java.io.IOException`

### exportRectangle

    protected void exportRectangle(JRPrintRectangle rectangle)
                            throws java.io.IOException

  Draw a rectangle

  Parameters:
    `rectangle` - JasperReports rectangle object (JRPrintRectangle)
  Throws:
    `java.io.IOException`

### exportEllipse

    protected void exportEllipse(JRPrintEllipse ellipse)
                          throws java.io.IOException

  Draw a ellipse object

  Parameters:
    `ellipse` - JasperReports ellipse object (JRPrintElipse)
  Throws:
    `java.io.IOException`

### exportText

    public void exportText(JRPrintText text)
                    throws java.io.IOException,
                           JRException

  Draw a text box

  Parameters:
    `text` - JasperReports text object (JRPrintText)
  Throws:
    `JRException`
    `java.io.IOException`

### exportImage

    protected void exportImage(JRPrintImage printImage)
                        throws JRException,
                               java.io.IOException

  Export a image object

  Parameters:
    `printImage` - JasperReports image object (JRPrintImage)
  Throws:
    `JRException`
    `java.io.IOException`

### exportFrame

    protected void exportFrame(JRPrintFrame frame)
                        throws JRException,
                               java.io.IOException

  Parameters:
    `frame` -
  Throws:
    `JRException`
    `java.io.IOException`

### exportElements

    protected void exportElements(java.util.Collection elements)
                           throws JRException,
                                  java.io.IOException

  Throws:
    `JRException`
    `java.io.IOException`

### exportGenericElement

    protected void exportGenericElement(JRGenericPrintElement element)

### exportHyperlink

    protected void exportHyperlink(JRPrintHyperlink link)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeAnchor

    protected void writeAnchor(java.lang.String anchorName)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getExporterKey

    protected java.lang.String getExporterKey()

  Specified by:
    `getExporterKey` in class `JRAbstractExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com